Integrating Lua with OpenAT application


#1

I am using Lua in an OpenAT application, and would like to to integrate Lua with the application for the release version. I only need basic Lua functionality (Lua tables and the string libraries) and Flash Objects to store the tables (I will not be using the Lua scheduler or Lua WIP functionality.)

I created a new project with the OpenAT Wizard and included WIP and Lua plug-ins. My lua functions were compiled to bytecode with luac51intc.exe from oatlua rev 36 (obtained last year from the SVN repository), and I integrated the Lua functions as explained in section 6 of the Lua manual (manual dated 20 February 2007). When I run wmmake I get the following error during the link step:

... Link gcc_lua_from_c1_1MB+.bin ...
c:\openat-2.20\IDE\MINGW\3.8.0.1\bin\make.exe: *** make_single_bin Error 1
/projet/gsmmi/int/plu/serena/lua_1.01.2010/PluginsBuild/libs/LUA/gcc/out/luaw_mem.c:494: undefined reference to `LUAW_MEM_ALARM_THRESHOLD'
Done.
[wmmake error #1] Build error.

It is clearly looking for LUAW_MEM_ALARM_THRESHOLD, in which library is this defined?

As an aside, I get the same error when I use the Lua sources from oatlua rev 36
and not using the Lua plug-in when I create a new project with the OpenAT Wizard.

Is there a way to link in only the required basic Lua and Flash Object libraries to save some memory?

Setup:
OpenAT 2.20
Firmware R73_00
Plug-ins
WIP 5.10.2020
Lua 1.01.2010

Thanks
chris


#2

Search this forum for ‘mempool’. In particular, this post may be relevant:
[url]https://forum.sierrawireless.com/t/lua-interactive-failure/3324/4]

So, depending on version, you may define it in mempool.h or main.c.